org.apache.log4j.pattern

## Class PatternParserTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.log4j.pattern.PatternParserTest

- All Implemented Interfaces:
    junit.framework.Test

      public class PatternParserTest
      extends junit.framework.TestCase

  Test case for ExtrasPatternParser.java. Tests the various conversion patterns supported by ExtrasPatternParser. This test class tests ExtrasPatternParser via the EnhancedPatternLayout class which uses it.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternParserTest(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testBasic1()`
    `void` | `testBasic2()`
    `void` | `testBogus()`
    `void` | `testBogusWord1()`
    `void` | `testBogusWord2()`
    `void` | `testFileNamePatternFactories()`
    `void` | `testMalformedOption()` Options with missing close braces will be treated as a literal.
    `void` | `testMore()`
    `void` | `testMultiOption()`
    `void` | `testPatternLayoutFactories()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternParserTest

          public PatternParserTest(String name)

  - ### Method Detail

    - #### testBogusWord1

          public void testBogusWord1()
                              throws Exception

      Throws:
        `Exception`

    - #### testBogusWord2

          public void testBogusWord2()
                              throws Exception

      Throws:
        `Exception`

    - #### testBasic1

          public void testBasic1()
                          throws Exception

      Throws:
        `Exception`

    - #### testBasic2

          public void testBasic2()
                          throws Exception

      Throws:
        `Exception`

    - #### testMultiOption

          public void testMultiOption()
                               throws Exception

      Throws:
        `Exception`

    - #### testBogus

          public void testBogus()
                         throws Exception

      Throws:
        `Exception`

    - #### testMore

          public void testMore()
                        throws Exception

      Throws:
        `Exception`

    - #### testMalformedOption

          public void testMalformedOption()

      Options with missing close braces will be treated as a literal. Endless looped with earlier code.

    - #### testPatternLayoutFactories

          public void testPatternLayoutFactories()
                                          throws Exception

      Throws:
        `Exception`

    - #### testFileNamePatternFactories

          public void testFileNamePatternFactories()
                                            throws Exception

      Throws:
        `Exception`

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.